"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const indent_string_1 = tslib_1.__importDefault(require("indent-string"));
const print_error_to_ansi_1 = require("@offirmo-private/print-error-to-ansi");
const prettify_json_1 = tslib_1.__importDefault(require("@offirmo-private/prettify-json"));
const common_1 = require("./common");
exports.sink = (payload) => {
    const { level, name, msg, time, details, err } = payload;
    const prettified_details = prettify_json_1.default(details);
    const is_prettified_details_multiline = prettified_details.includes('\n');
    const line = ''
        // TODO evaluate if time display is needed
        //+ chalk.dim(String(time))
        //+ ' '
        + common_1.LEVEL_TO_ASCII[level]
        + '› '
        + common_1.LEVEL_TO_STYLIZE[level](''
            + name
            + (name ? '›' : '')
            + (msg ? ' ' : '')
            + msg)
        + (prettified_details
            ? is_prettified_details_multiline
                ? ' {\n' + indent_string_1.default(prettified_details, 2) + '\n}'
                : ' { ' + prettified_details + ' }'
            : '');
    console.log(line); // eslint-disable-line no-console
    if (err)
        print_error_to_ansi_1.displayError(err);
};
exports.default = exports.sink;
//# sourceMappingURL=private.js.map