import { createLogger as createLoggerCore } from '@offirmo/practical-logger-core';
const sink = (() => {
    try {
        // this version is for the author's own usage
        // as it uses unpublished modules.
        return require('./sinks/private').default;
    }
    catch {
        return require('./sinks/public').default;
    }
})();
const ORIGINAL_CONSOLE = console;
function createLogger(p) {
    return {
        ...createLoggerCore(p, sink),
        group(groupTitle) {
            ORIGINAL_CONSOLE.group(groupTitle);
        },
        groupCollapsed(groupTitle) {
            ORIGINAL_CONSOLE.groupCollapsed(groupTitle);
        },
        groupEnd() {
            ORIGINAL_CONSOLE.groupEnd();
        }
    };
}
export { createLogger, };
//# sourceMappingURL=index.js.map